{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% import '_includes/macros.html.twig' as appMacros %}

{% set process = flux.lastActiveProcess %}

<div class="box-header with-border">
    <h3 class="box-title">Dernier traitement : <b>{{ process.nbPublishedRdfResources | number_format }}</b> POI publiées
        {{ appMacros.percent_color(process.evolution,"Evolution du nombre de POI importés depuis le traitement précédent") }}
    </h3>
</div>
<div class="box-body">
    <dl class="dl-horizontal">
        <dt>Mode de mise à jour :</dt>
        <dd><span class="fa {% spaceless %}
                        {% if process.mode == constant('AppBundle\\Entity\\Flux::MODE_PULL') %}fa-download {% endif %}
                        {% if process.mode == constant('AppBundle\\Entity\\Flux::MODE_PUSH') %}fa-upload {% endif %}
                        {% if process.mode == constant('AppBundle\\Entity\\Flux::MODE_MANUAL') %}fa-hand-o-up {% endif %}
    {% endspaceless %}"></span> {{ (get_static('AppBundle\\Entity\\Flux','modeDefinitions'))[process.mode][0] }}</dd>
        <dt>Début du traitement :</dt>
        <dd>{{ (process.createdAt | moment).calendar() | capitalize }}</dd>
        <dt>Fin du traitement :</dt>
        <dd>{{ (process.updatedAt | moment).calendar() | capitalize }}</dd>
        <dt>Durée du traitement :</dt>
        <dd>{{ process.duration < 60 ? process.duration ~ ' secondes' : ( process.duration / 60 ) | round ~ ' minutes' }}</dd>
    </dl>
    <dl class="dl-horizontal">
        <dt> Taux de publication {{ appMacros.help('Le taux de publication représente le nombre de POI publiés par rapport au nombre total de POI') }} :</dt>
        <dd>{{ appMacros.progress_bar(process) }}</dd>

        {% if process.statsProduceRDF and process.statsProduceRDF.anomalies.total %}
            <dt>Anomalies {{ appMacros.help('Erreurs de validation détectées sur les POI contenus dans ce flux') }} :</dt>
            <dd><span class="text-orange"><span class="fa fa-warning"></span></span> <a href="{{ path('flux.anomalies',{id:flux.id}) }}">{{ process.statsProduceRDF.anomalies.total | number_format }}</a></dd>
        {% endif %}
        <dt>Modifications {{ appMacros.help('Modifications dans le dataset') }}  :</dt>
        <dd>
            <div class="mutations-stats">
                <div class="label label-default {% if process.statsPersistRDF.insert == 0 %} disabled{% endif %}"><i class="fa fa-plus fa-fw"></i><strong> {{ process.statsPersistRDF.insert | number_format }}</strong> ajouté{% if process.statsPersistRDF.insert>1%}s{% endif %}</div>
                <div class="label label-default {% if process.statsPersistRDF.update == 0 %} disabled{% endif %}"><i class="fa fa-refresh fa-fw"></i><strong> {{ process.statsPersistRDF.update | number_format }}</strong> modifié{% if process.statsPersistRDF.update>1%}s{% endif %}</div>
                <div class="label label-default {% if process.statsPersistRDF.delete == 0 %} disabled{% endif %}"><i class="fa fa-trash fa-fw"></i><strong> {{ process.statsPersistRDF.delete | number_format }}</strong> supprimé{% if process.statsPersistRDF.delete>1%}s{% endif %}</div>
            </div>
        </dd>
    </dl>
    {% if process.files|length %}
        <a href="{{ path('flux.download.source', {id: flux.id}) }}" class="btn btn-default btn-xs pull-right"><i class="fa fa-download"></i> Télécharger</a>
        <h4>Fichiers traités</h4>
        <table class="table table-condensed table-striped no-margin">
            <thead>
            <tr>
                <th>Nom du fichier</th>
                <th class="text-right">Taille</th>
                <th class="text-right">POI</th>
            </tr>
            </thead>
            <tbody>
            {% for file in process.files %}
                <tr>
                    <td>
                        <span class="fa fa-file-code-o"></span>
                        {{ file.file | file_name }}
                    </td>
                    <td class="text-right">{{ appMacros.bytesToSize(file.size) }}</td>
                    <td class="text-right"> {{ file.stats.total}} </td>
                </tr>
            {% endfor %}
            </tbody>
            <tfoot>
            <tr>
                <td class="text-right">Total :</td>
                <td class="text-right"> {{ appMacros.bytesToSize(total_files_size) }}</td>
                <td class="text-right"> {{ total_files_poi | number_format }}</td>
            </tr>
            </tfoot>
        </table>
    {% endif %}
</div>